# NPR Story API Plugin Docs

The NPR Story API Plugin provides push and pull functionality with the [NPR Story API](https://www.npr.org/api/index) along with a user-friendly administrative interface.

NPR's Story API is a content API, which essentially provides a structured way for other computer applications to pull NPR stories in a predictable, flexible and powerful way. The content that is available includes audio from most NPR programs dating back to 1995 as well as text, images and other web-only content from NPR and NPR member stations. This archive consists of over 250,000 stories that are grouped into more than 5,000 different aggregations.

Access to the NPR Story API requires an API Key which you can get by [registering for an NPR account](https://secure.npr.org/oauth2/login).

The WordPress plugin is being developed as an Open Source plugin by NPR Digital Services. If you would like to suggest features or bug fixes, or better yet if you would like to contribute new features or bug fixes please contact Digital Services through our support page at [https://info.ds.npr.org/support.html](https://info.ds.npr.org/support.html).

## Docs Table of Contents

- [Installation](installation.md)
- [Plugin Settings](settings.md)
- [Pulling a Single Story from the NPR Story API](pulling-single-story.md)
- [Pulling Multiple Stories from the NPR Story API By Custom API Query](pulling-multiple-stories.md)
- [Pushing Content to the NPR Story API](pushing.md)
- [Pushing Content to the NPR One app](npr-one.md)
- [Custom Field Mapping](field-mapping.md)
